Bug 483705 - kernel causes CPU spin when attempting to run 2 instances of X
kernel causes CPU spin when attempting to run 2 instances of X
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
x86_64 Linux
low Severity urgent
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-03 00:01 EST by Mohammed Arafa
Modified: 2009-12-18 02:47 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:47:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mohammed Arafa 2009-02-03 00:01:38 EST
Description of problem:
apparently the kernel 2.6.27.12-170.2.5.fc10.x86_64 does not enjoy running 2 instances of X


Version-Release number of selected component (if applicable): 2.6.27.12-170.2.5.fc10.x86_64


How reproducible: 
always


Steps to Reproduce:
1. set kdm as your default login manager
2. login as a user 
3. lock that user
4. attempt to login as a second user via kdm
  

Actual results:
you will get the fedora background, mouse works and all, but keyboard does not respond. logging in via ssh will take time then running top will show that the cpu is running at 100%.


Expected results:
log in as a second user.

Additional info:
not tested but this might severely affect the ltsp package
Comment 1 Chuck Ebbert 2009-02-03 22:03:23 EST
(In reply to comment #1)
> you will get the fedora background, mouse works and all, but keyboard does not
> respond. logging in via ssh will take time then running top will show that the
> cpu is running at 100%.

What program is using the CPU???
Comment 2 Mohammed Arafa 2009-02-11 16:11:50 EST
hi
it was X. 
as a work around i have downgraded my kernel and now i have no problems.
Comment 3 Mohammed Arafa 2009-02-20 02:43:13 EST
todays kernel kernel-2.6.27.15-170.2.24.fc10.x86_64 also has the same problem. 

i have returned to 2.6.27.7-134.fc10.x86_64 again

thanks
Comment 4 Mohammed Arafa 2009-06-27 15:36:20 EDT
fyi: upgraded to fedora11 and this bug no longer appears
Comment 5 Bug Zapper 2009-11-18 04:28:16 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-12-18 02:47:45 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.